Ruby - Feature #8726

Class#source _location
08/03/2013 09:54 PM - takiuchi (Genki Takiuchi)

Status: Rejected
Priority: Normal
Assignee:

Target version: 21.0
Description

classl0000000000000000 Class#source_location 0000000000000000

00000000000000000000Timeout::timeout 000000000000000D raise OO
0000000000000 timeowt 00000000000DO0OODOODOD
0000000000000000D000D00D00D backtrace OtimeoutU00000000
0000000000000000D0Timeout::timeout(...) D000000000000000000

History

#1 - 08/03/2013 09:56 PM - takiuchi (Genki Takiuchi)

000000000000D0000w_s O0DODO0"#<Class:0x007f956336abes>" 00000000000
Class#source_location 100000000000000000000000000000DODO

#2 - 08/04/2013 02:34 AM - naruse (Yui NARUSE)

DDDDDDDtimeoutﬂﬂDDDDDDﬂﬂﬂﬂﬂﬂsource_locaﬁonﬂDDDD
000000000000000000caner00O0O00DOOOODOOODDOOODDOD

#3 - 08/04/2013 03:02 AM - naruse (Yui NARUSE)

naruse (Yui NARUSE) wrote:
|]|]|]|]|]|]|]timeout|:||:|DDDDDDDDDDDDsource_IocationDDDDD
000000000000000000caner00OOO0DOOOODOOOODOOOODDD

0000000Timeout.timeoutlrescuel000backtracel0000000000000000
00000000000oo0oa

#4 - 08/04/2013 05:59 AM - kosaki (Motohiro KOSAKI)

classiiioooooooooooooo Class#source_location 000000000DDDOODD
00000000000000000000Timeout:timeout 0000000000000000 raise 00
(1000000000000 timeowt 0O0000000000O0000DO000DO

00000000000000000000D0000D backtrace Dtimeout000000000
000000O0O000D0D0D0Timeout: timeout(...) 0000000000000000C0O0

00000o0oobopoobonoo
test.rb
: require "timeout"
def foo

sleep 10

end

Timeout.timeout (1) {
foo

W 0 ~J o Ul b WN -

}
qooooooooo

% ./ruby-trunk ../test.rb
../test.rb:4:in “sleep': execution expired (Timeout::Error)

07/21/2025

1/4




from ../test.rb:4:in " foo'
from ../test.rb:8:in “block in <main>'
from ../test.rb:7:in ~<main>'

00000000000000000o0DO00000D00teolONRANDD
Timeout100000000070090000000000000000DOCDOD

0000000000000000D000o0noo0nannoo0DnanDa
0000booooboobonoo

#5 - 08/04/2013 06:53 AM - kosaki (Motohiro KOSAKI)

0000000000000000DO00o00no0no0nDo0DnanDa
00o00oooonoobonoo

printf000000000

(bt = e.backtrace) .reject! {|m| rej =~ m}

(000000000000000000000000000000000000000Da

#6 - 08/04/2013 10:23 AM - nobu (Nobuyoshi Nakada)

(13/08/04 6:33), KOSAKI Motohiro wrote:
0000000000000000000000000000000nannnoOan
1o000ooooDooooooon

printf1000000000
(bt = e.backtrace) .reject! {|m| rej =~ m}

Q00000oooDoooooooonnoonoo0Da0Do0DDO0DanDD

(1000000000000 Thread#raisel0000000000000000000
timeout.rb000000000000000000000000while00000bt.delete_atl00

- 0000BugllO0
- 00000Bugl0OND
00 oo

#7 - 08/04/2013 11:23 AM - kosaki (Motohiro KOSAKI)
2013/8/3 Nobuyoshi Nakada nobu@ruby-lang.org:

(13/08/04 6:33), KOSAKI Motohiro wrote:

00000000000000o00a00Coonna00o0noa0na0ED
00ooooobopoonoooo

printfl 000000000
(bt = e.backtrace).reject! {|m| rej =~ m}

0000o0oDoooonoDonoDoDoDOnoDOonO00nODOnonang

0000000000000THread#raise00000000000000000000
timeout.rb[000000000000000000000000while000000t.delete_atl00

00000000 bt.delete_atl000000000000000O00000CDO0DO0DOOCOD rejectd

% ./ruby-trunk ../test.rb

/home/kosaki/local/ruby-trunk/lib/ruby/2.1.0/timeout.rb:70:in " Jjoin':

execution expired (Timeout::Error)
from ../test.rb:7:in "~ <main>'
mailto:nobu@ruby-lang.org

0000000000000000000000 injein DODODODOD
\z 1000000000000OD

\z01000000000000000000000000000g

% ./ruby-trunk ../test.rb
../test.rb:7:in ‘<main>': execution expired (Timeout::Error)

00000o0oonoobonooo
000o00ooobooooonoonnOnnoonhonna0nDO0Da0nO0DDO0Da0DD00Da0DO0DD00DO0D
000000000000Druby-1.8.7000000

% /usr/bin/ruby ../test.rb

/usr/lib/ruby/1.8/timeout.rb:64:in " foo': execution expired (Timeout::Error)
from ../test.rb:8

from ../test.rb:7

timeout.rb J0000000000000+.900000000000000
0000booooboobonoo

#8 - 08/09/2013 07:39 PM - ko1 (Koichi Sasada)

- Category set to core

000000ODO00000DODODODO reject DODODODODOD

#9 - 08/14/2013 10:36 PM - naruse (Yui NARUSE)

ko1 (Koichi Sasada) wrote:

0000000000000DO0DO000D reject DODDOODOODD

Class#source_location [00000000000000000000000
00000 timeout 000000000000000000DDOCOCOOOOO

Class#source_location [000000timeout 000000000000000000
timeout 0000000000000000000000D0COO00O0DDEOCONO

#10 - 08/15/2013 05:05 AM - kosaki (Motohiro KOSAKI)
- Status changed from Open to Rejected

0000000Rejectd000O0O00O000D0D0000ODOCODOO0ODOD
Timeout]00000000000000000000000000000000000000000000O0O000000
Timeout]0000000000000000000D0000ODODODOO00DODODODODODODODODD0DOD

#11 - 08/25/2013 11:24 PM - takiuchi (Genki Takiuchi)

Timeoutl 00000 timeoutl00000 rescue Exception D00000timeoutl000
000000000 Timeout: EX|tExcept|on|]DDDDDDDDDDDDDDDDDDDDDD

TimeoutlOO000000CIass#source_location 000000000000000000000
0ooooooooooDDDDODDDDODDDD

#12 - 08/27/2013 06:23 AM - kosaki (Motohiro KOSAKI)

Timeout[I000000timeoutl00000 rescue Exception 00000Ntimeoutl000
noooooooo Timeout::ExitException 0000000ooooonon

TimeoutlO0000000CIass.source location 000000000000000000000
000000DDDDDDDDDDDDDDDDDDD

0000oboDoDoDoDonooo
Timeout(0000Timeout1000000000000Genericl0000000000000000
000Timeout100000000000000000000000D0DO0DODDODO0D
0000oDopoooobong
#13 - 08/31/2013 01:29 PM - takiuchi (Genki Takiuchi)
00000Timeoutl0000DissuelOO0OD
